
#ifndef DISPLAY_H
    #define	DISPLAY_H

    #define DIGIT_MINUS 10         /* easy to use constants for the special digits */
    #define DIGIT_L 11
    #define DIGIT_O 12
    #define DIGIT_OFF 19

    #define LED_TIME_DIGIT 1       /* ms each digit stays on               */
    #define LED_TIME_ALL 4         /* ms needed to show all four digits    */

    extern const char digits[20];
    extern char display[4];
    extern char decimals[4];

    extern void display_setdigit(char digit, char value);
    extern void display_setnumber(unsigned short value, unsigned short decimalcount);
    extern void display_showdigit(char digit);
    extern void display_show(unsigned short displaytime);

#endif	/* DISPLAY_H */

